"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  Day: () => Day,
  Field: () => Field,
  Frequency: () => Frequency,
  IdentityType: () => IdentityType,
  LocationType: () => LocationType,
  ParticipantsStatus: () => ParticipantsStatus,
  RecurrenceType: () => RecurrenceType,
  Role: () => Role,
  Status: () => Status,
  Transparency: () => Transparency,
  Type: () => Type,
  WebhookIdentityType: () => WebhookIdentityType,
  getEventsView: () => getEventsView4,
  onEventsViewExtended: () => onEventsViewExtended2,
  onEventsViewProjectionUpdated: () => onEventsViewProjectionUpdated2
});
module.exports = __toCommonJS(index_exports);

// src/calendar-v3-events-view-event-views.public.ts
var import_rename_all_nested_keys2 = require("@wix/sdk-runtime/rename-all-nested-keys");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths2 = require("@wix/sdk-runtime/transformations/transform-paths");
var import_sdk_types = require("@wix/sdk-types");

// src/calendar-v3-events-view-event-views.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/calendar-v3-events-view-event-views.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixCalendarEventviewsV3EventViewsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_event-views";
function getEventsView(payload) {
  function __getEventsView({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.events_view",
      method: "GET",
      methodFqn: "wix.calendar.eventviews.v3.EventViewsService.GetEventsView",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarEventviewsV3EventViewsServiceUrl({
        protoPath: "/v3/events/view",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "eventsView.endDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getEventsView;
}

// src/calendar-v3-events-view-event-views.universal.ts
var Status = /* @__PURE__ */ ((Status2) => {
  Status2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  Status2["CONFIRMED"] = "CONFIRMED";
  Status2["CANCELLED"] = "CANCELLED";
  return Status2;
})(Status || {});
var RecurrenceType = /* @__PURE__ */ ((RecurrenceType2) => {
  RecurrenceType2["UNKNOWN_RECURRENCE_TYPE"] = "UNKNOWN_RECURRENCE_TYPE";
  RecurrenceType2["NONE"] = "NONE";
  RecurrenceType2["MASTER"] = "MASTER";
  RecurrenceType2["INSTANCE"] = "INSTANCE";
  RecurrenceType2["EXCEPTION"] = "EXCEPTION";
  return RecurrenceType2;
})(RecurrenceType || {});
var Frequency = /* @__PURE__ */ ((Frequency2) => {
  Frequency2["UNKNOWN_FREQUENCY"] = "UNKNOWN_FREQUENCY";
  Frequency2["WEEKLY"] = "WEEKLY";
  return Frequency2;
})(Frequency || {});
var Day = /* @__PURE__ */ ((Day2) => {
  Day2["MONDAY"] = "MONDAY";
  Day2["TUESDAY"] = "TUESDAY";
  Day2["WEDNESDAY"] = "WEDNESDAY";
  Day2["THURSDAY"] = "THURSDAY";
  Day2["FRIDAY"] = "FRIDAY";
  Day2["SATURDAY"] = "SATURDAY";
  Day2["SUNDAY"] = "SUNDAY";
  return Day2;
})(Day || {});
var Transparency = /* @__PURE__ */ ((Transparency2) => {
  Transparency2["UNKNOWN_TRANSPARENCY"] = "UNKNOWN_TRANSPARENCY";
  Transparency2["OPAQUE"] = "OPAQUE";
  Transparency2["TRANSPARENT"] = "TRANSPARENT";
  return Transparency2;
})(Transparency || {});
var LocationType = /* @__PURE__ */ ((LocationType2) => {
  LocationType2["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
  LocationType2["BUSINESS"] = "BUSINESS";
  LocationType2["CUSTOMER"] = "CUSTOMER";
  LocationType2["CUSTOM"] = "CUSTOM";
  return LocationType2;
})(LocationType || {});
var Role = /* @__PURE__ */ ((Role2) => {
  Role2["UNKNOWN_ROLE"] = "UNKNOWN_ROLE";
  Role2["WRITER"] = "WRITER";
  Role2["COMMENTER"] = "COMMENTER";
  return Role2;
})(Role || {});
var ParticipantsStatus = /* @__PURE__ */ ((ParticipantsStatus2) => {
  ParticipantsStatus2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  ParticipantsStatus2["CONFIRMED"] = "CONFIRMED";
  ParticipantsStatus2["PENDING_CONFIRMATION"] = "PENDING_CONFIRMATION";
  return ParticipantsStatus2;
})(ParticipantsStatus || {});
var Type = /* @__PURE__ */ ((Type2) => {
  Type2["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
  Type2["ZOOM"] = "ZOOM";
  Type2["CUSTOM"] = "CUSTOM";
  return Type2;
})(Type || {});
var Field = /* @__PURE__ */ ((Field2) => {
  Field2["UNKNOWN_FIELD"] = "UNKNOWN_FIELD";
  Field2["TITLE"] = "TITLE";
  Field2["TIME_ZONE"] = "TIME_ZONE";
  Field2["TIME"] = "TIME";
  Field2["LOCATION"] = "LOCATION";
  Field2["RESOURCES"] = "RESOURCES";
  Field2["CAPACITY"] = "CAPACITY";
  Field2["PARTICIPANTS"] = "PARTICIPANTS";
  Field2["CONFERENCING_DETAILS"] = "CONFERENCING_DETAILS";
  return Field2;
})(Field || {});
var IdentityType = /* @__PURE__ */ ((IdentityType2) => {
  IdentityType2["UNKNOWN"] = "UNKNOWN";
  IdentityType2["WIX_USER"] = "WIX_USER";
  return IdentityType2;
})(IdentityType || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function getEventsView2() {
  const { httpClient, sideEffects } = arguments[0];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({});
  const reqOpts = getEventsView(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {},
        singleArgumentUnchanged: false
      },
      []
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/calendar-v3-events-view-event-views.public.ts
function getEventsView3(httpClient) {
  return () => getEventsView2(
    // @ts-ignore
    { httpClient }
  );
}
var onEventsViewExtended = (0, import_sdk_types.EventDefinition)(
  "wix.calendar.v3.events_view_extended",
  true,
  (event) => (0, import_rename_all_nested_keys2.renameKeysFromRESTResponseToSDKResponse)(
    (0, import_transform_paths2.transformPaths)(event, [
      {
        transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
        paths: [
          { path: "data.extendedEndDate" },
          { path: "metadata.eventTime" }
        ]
      }
    ])
  )
)();
var onEventsViewProjectionUpdated = (0, import_sdk_types.EventDefinition)(
  "wix.calendar.v3.events_view_projection_updated",
  true,
  (event) => (0, import_rename_all_nested_keys2.renameKeysFromRESTResponseToSDKResponse)(
    (0, import_transform_paths2.transformPaths)(event, [
      {
        transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
        paths: [
          { path: "data.eventAddedOrUpdated.event.createdDate" },
          { path: "data.eventAddedOrUpdated.event.updatedDate" },
          { path: "data.eventAddedOrUpdated.event.start.utcDate" },
          { path: "data.eventAddedOrUpdated.event.end.utcDate" },
          { path: "data.eventAddedOrUpdated.event.adjustedStart.utcDate" },
          { path: "data.eventAddedOrUpdated.event.adjustedEnd.utcDate" },
          {
            path: "data.eventAddedOrUpdated.event.recurrenceRule.until.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.event.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "data.eventAddedOrUpdated.previousEvent.createdDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.updatedDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.start.utcDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.end.utcDate" },
          {
            path: "data.eventAddedOrUpdated.previousEvent.adjustedStart.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.adjustedEnd.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.recurrenceRule.until.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "data.eventRemoved.event.createdDate" },
          { path: "data.eventRemoved.event.updatedDate" },
          { path: "data.eventRemoved.event.start.utcDate" },
          { path: "data.eventRemoved.event.end.utcDate" },
          { path: "data.eventRemoved.event.adjustedStart.utcDate" },
          { path: "data.eventRemoved.event.adjustedEnd.utcDate" },
          { path: "data.eventRemoved.event.recurrenceRule.until.utcDate" },
          {
            path: "data.eventRemoved.event.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "metadata.eventTime" }
        ]
      }
    ])
  )
)();

// src/calendar-v3-events-view-event-views.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var import_event_definition_modules = require("@wix/sdk-runtime/event-definition-modules");
var getEventsView4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(getEventsView3);
var onEventsViewExtended2 = (0, import_event_definition_modules.createEventModule)(onEventsViewExtended);
var onEventsViewProjectionUpdated2 = (0, import_event_definition_modules.createEventModule)(onEventsViewProjectionUpdated);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Day,
  Field,
  Frequency,
  IdentityType,
  LocationType,
  ParticipantsStatus,
  RecurrenceType,
  Role,
  Status,
  Transparency,
  Type,
  WebhookIdentityType,
  getEventsView,
  onEventsViewExtended,
  onEventsViewProjectionUpdated
});
//# sourceMappingURL=index.js.map