// src/calendar-v3-events-view-event-views.public.ts
import { renameKeysFromRESTResponseToSDKResponse as renameKeysFromRESTResponseToSDKResponse2 } from "@wix/sdk-runtime/rename-all-nested-keys";
import { transformRESTTimestampToSDKTimestamp as transformRESTTimestampToSDKTimestamp2 } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths as transformPaths2 } from "@wix/sdk-runtime/transformations/transform-paths";
import { EventDefinition } from "@wix/sdk-types";

// src/calendar-v3-events-view-event-views.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import {
  renameKeysFromSDKRequestToRESTRequest,
  renameKeysFromRESTResponseToSDKResponse
} from "@wix/sdk-runtime/rename-all-nested-keys";

// src/calendar-v3-events-view-event-views.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixCalendarEventviewsV3EventViewsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_event-views";
function getEventsView(payload) {
  function __getEventsView({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.events_view",
      method: "GET",
      methodFqn: "wix.calendar.eventviews.v3.EventViewsService.GetEventsView",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarEventviewsV3EventViewsServiceUrl({
        protoPath: "/v3/events/view",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "eventsView.endDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getEventsView;
}

// src/calendar-v3-events-view-event-views.universal.ts
var Status = /* @__PURE__ */ ((Status2) => {
  Status2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  Status2["CONFIRMED"] = "CONFIRMED";
  Status2["CANCELLED"] = "CANCELLED";
  return Status2;
})(Status || {});
var RecurrenceType = /* @__PURE__ */ ((RecurrenceType2) => {
  RecurrenceType2["UNKNOWN_RECURRENCE_TYPE"] = "UNKNOWN_RECURRENCE_TYPE";
  RecurrenceType2["NONE"] = "NONE";
  RecurrenceType2["MASTER"] = "MASTER";
  RecurrenceType2["INSTANCE"] = "INSTANCE";
  RecurrenceType2["EXCEPTION"] = "EXCEPTION";
  return RecurrenceType2;
})(RecurrenceType || {});
var Frequency = /* @__PURE__ */ ((Frequency2) => {
  Frequency2["UNKNOWN_FREQUENCY"] = "UNKNOWN_FREQUENCY";
  Frequency2["WEEKLY"] = "WEEKLY";
  return Frequency2;
})(Frequency || {});
var Day = /* @__PURE__ */ ((Day2) => {
  Day2["MONDAY"] = "MONDAY";
  Day2["TUESDAY"] = "TUESDAY";
  Day2["WEDNESDAY"] = "WEDNESDAY";
  Day2["THURSDAY"] = "THURSDAY";
  Day2["FRIDAY"] = "FRIDAY";
  Day2["SATURDAY"] = "SATURDAY";
  Day2["SUNDAY"] = "SUNDAY";
  return Day2;
})(Day || {});
var Transparency = /* @__PURE__ */ ((Transparency2) => {
  Transparency2["UNKNOWN_TRANSPARENCY"] = "UNKNOWN_TRANSPARENCY";
  Transparency2["OPAQUE"] = "OPAQUE";
  Transparency2["TRANSPARENT"] = "TRANSPARENT";
  return Transparency2;
})(Transparency || {});
var LocationType = /* @__PURE__ */ ((LocationType2) => {
  LocationType2["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
  LocationType2["BUSINESS"] = "BUSINESS";
  LocationType2["CUSTOMER"] = "CUSTOMER";
  LocationType2["CUSTOM"] = "CUSTOM";
  return LocationType2;
})(LocationType || {});
var Role = /* @__PURE__ */ ((Role2) => {
  Role2["UNKNOWN_ROLE"] = "UNKNOWN_ROLE";
  Role2["WRITER"] = "WRITER";
  Role2["COMMENTER"] = "COMMENTER";
  return Role2;
})(Role || {});
var ParticipantsStatus = /* @__PURE__ */ ((ParticipantsStatus2) => {
  ParticipantsStatus2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  ParticipantsStatus2["CONFIRMED"] = "CONFIRMED";
  ParticipantsStatus2["PENDING_CONFIRMATION"] = "PENDING_CONFIRMATION";
  return ParticipantsStatus2;
})(ParticipantsStatus || {});
var Type = /* @__PURE__ */ ((Type2) => {
  Type2["UNKNOWN_TYPE"] = "UNKNOWN_TYPE";
  Type2["ZOOM"] = "ZOOM";
  Type2["CUSTOM"] = "CUSTOM";
  return Type2;
})(Type || {});
var Field = /* @__PURE__ */ ((Field2) => {
  Field2["UNKNOWN_FIELD"] = "UNKNOWN_FIELD";
  Field2["TITLE"] = "TITLE";
  Field2["TIME_ZONE"] = "TIME_ZONE";
  Field2["TIME"] = "TIME";
  Field2["LOCATION"] = "LOCATION";
  Field2["RESOURCES"] = "RESOURCES";
  Field2["CAPACITY"] = "CAPACITY";
  Field2["PARTICIPANTS"] = "PARTICIPANTS";
  Field2["CONFERENCING_DETAILS"] = "CONFERENCING_DETAILS";
  return Field2;
})(Field || {});
var IdentityType = /* @__PURE__ */ ((IdentityType2) => {
  IdentityType2["UNKNOWN"] = "UNKNOWN";
  IdentityType2["WIX_USER"] = "WIX_USER";
  return IdentityType2;
})(IdentityType || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function getEventsView2() {
  const { httpClient, sideEffects } = arguments[0];
  const payload = renameKeysFromSDKRequestToRESTRequest({});
  const reqOpts = getEventsView(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {},
        singleArgumentUnchanged: false
      },
      []
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/calendar-v3-events-view-event-views.public.ts
function getEventsView3(httpClient) {
  return () => getEventsView2(
    // @ts-ignore
    { httpClient }
  );
}
var onEventsViewExtended = EventDefinition(
  "wix.calendar.v3.events_view_extended",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths2(event, [
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "data.extendedEndDate" },
          { path: "metadata.eventTime" }
        ]
      }
    ])
  )
)();
var onEventsViewProjectionUpdated = EventDefinition(
  "wix.calendar.v3.events_view_projection_updated",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths2(event, [
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "data.eventAddedOrUpdated.event.createdDate" },
          { path: "data.eventAddedOrUpdated.event.updatedDate" },
          { path: "data.eventAddedOrUpdated.event.start.utcDate" },
          { path: "data.eventAddedOrUpdated.event.end.utcDate" },
          { path: "data.eventAddedOrUpdated.event.adjustedStart.utcDate" },
          { path: "data.eventAddedOrUpdated.event.adjustedEnd.utcDate" },
          {
            path: "data.eventAddedOrUpdated.event.recurrenceRule.until.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.event.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "data.eventAddedOrUpdated.previousEvent.createdDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.updatedDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.start.utcDate" },
          { path: "data.eventAddedOrUpdated.previousEvent.end.utcDate" },
          {
            path: "data.eventAddedOrUpdated.previousEvent.adjustedStart.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.adjustedEnd.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.recurrenceRule.until.utcDate"
          },
          {
            path: "data.eventAddedOrUpdated.previousEvent.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "data.eventRemoved.event.createdDate" },
          { path: "data.eventRemoved.event.updatedDate" },
          { path: "data.eventRemoved.event.start.utcDate" },
          { path: "data.eventRemoved.event.end.utcDate" },
          { path: "data.eventRemoved.event.adjustedStart.utcDate" },
          { path: "data.eventRemoved.event.adjustedEnd.utcDate" },
          { path: "data.eventRemoved.event.recurrenceRule.until.utcDate" },
          {
            path: "data.eventRemoved.event.recurrenceRule.adjustedUntil.utcDate"
          },
          { path: "metadata.eventTime" }
        ]
      }
    ])
  )
)();

// src/calendar-v3-events-view-event-views.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
import { createEventModule } from "@wix/sdk-runtime/event-definition-modules";
var getEventsView4 = /* @__PURE__ */ createRESTModule(getEventsView3);
var onEventsViewExtended2 = createEventModule(onEventsViewExtended);
var onEventsViewProjectionUpdated2 = createEventModule(onEventsViewProjectionUpdated);
export {
  Day,
  Field,
  Frequency,
  IdentityType,
  LocationType,
  ParticipantsStatus,
  RecurrenceType,
  Role,
  Status,
  Transparency,
  Type,
  WebhookIdentityType,
  getEventsView4 as getEventsView,
  onEventsViewExtended2 as onEventsViewExtended,
  onEventsViewProjectionUpdated2 as onEventsViewProjectionUpdated
};
//# sourceMappingURL=index.mjs.map