import { u as GetEventsViewRequest$1, G as GetEventsViewResponse$1 } from './calendar-v3-events-view-event-views.universal-Br3DvpnA.mjs';

/**
 * The `eventsView` object gives you details about how far into the future you can
 * easily get a complete picture of a calendar. Subscribing to the event view
 * webhooks lets you keep track of a calendar's single-occurrence, `EXCEPTION`, and
 * `INSTANCE` events at least one year into the future.
 */
interface EventsView {
    /**
     * End date of the event view in `YYYY-MM-DDThh:mm:ss.sssZ` format.
     * @readonly
     */
    endDate?: Date | null;
    /**
     * Number of days from now until the event view ends.
     * @readonly
     */
    futureDurationInDays?: number | null;
}
interface GetEventsViewRequest {
}
interface GetEventsViewResponse {
    /** Retrieved event view. */
    eventsView?: EventsView;
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function getEventsView(): __PublicMethodMetaInfo<'GET', {}, GetEventsViewRequest$1, GetEventsViewRequest, GetEventsViewResponse$1, GetEventsViewResponse>;

export { type __PublicMethodMetaInfo, getEventsView };
