// src/calendar-v3-events-view-event-views.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixCalendarEventviewsV3EventViewsServiceUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/events/view",
        destPath: "/v3/events/view"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_event-views";
function getEventsView(payload) {
  function __getEventsView({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.events_view",
      method: "GET",
      methodFqn: "wix.calendar.eventviews.v3.EventViewsService.GetEventsView",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarEventviewsV3EventViewsServiceUrl({
        protoPath: "/v3/events/view",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [{ path: "eventsView.endDate" }]
        }
      ])
    };
    return metadata;
  }
  return __getEventsView;
}

// src/calendar-v3-events-view-event-views.meta.ts
function getEventsView2() {
  const payload = {};
  const getRequestOptions = getEventsView(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/events/view",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  getEventsView2 as getEventsView
};
//# sourceMappingURL=meta.mjs.map